# lex2html: Tool for browing lexicon

Japanese version

This tool makes HTML documents for browsing a lexicon and a derivbank.

lex2html [options] grammar_module lexicon template lexbank prefix
grammar_module | lilfes program in which a grammar is implemented
lexicon | lexicon to be documented
template | template to be documented
lexbank | lexbank to be documented
prefix | prefixed to be added to each output file
Options
-c style_file | style sheet
-d directory | output directory (default: .)
-lexsize int | limit number of entries that are put in a lexicon document (default: 1000)
-tmpsize int | limit number of entries that are put in a template document (default: 100)
-lxmsize int | limit number of entries that are put in a lexeme document (default: 100)
-sntsize int | limit number of sentences that are put in a sentence files (default: 1000)
-charset string | additionally outputs "charset=string" in the header of html files
-v | print debug messages
-vv | print many debug messages

This tool makes HTML documents for supporting browsing a lexicon and a derivbank developed by the MAYZ toolkit. The following files are output in the output directory. "$(prefix)$" is the one specified in the command-line argument, and "??" is the ID number of output files (assigned from 0).

- $(prefix)-index.html: contents of all the files
- $(prefix)-lex-??.html: information of a lexicon (keys, occurrenct counts, assigned templates, etc.)
- $(prefix)-template-??.html: information of a template database (occurrenct count, the sentence of the first occurrence, feature structure, etc.)
- $(prefix)-lexeme-??.html: information of lexemes
- $(prefix)-sentence-??.html: sentences used for lexicion extraction

Template files include feature structures that are represented with feature structure extensions (<fs> etc.), which may not be viewed with Internet Explorer. Please use Firefox.

When the rendering by a web browser is too slow, you can improve it by specifying small values to options such as "-lexsize".

MAYZ Toolkit Manual MAYZ Home Page Tsujii Laboratory